package rangesearch;

import java.util.EventObject;

/** An event that is fired when the current tool mode changes in a RangeView. */

public class ModelChangedEvent extends EventObject {
    protected int m_changed;

    public static final int ALL_CHANGED    = 0;
    public static final int POINTS_CHANGED = 1;
    public static final int RANGE_CHANGED  = 2;

    public ModelChangedEvent(Object source, int changed) {
        super(source);
        m_changed = changed;
    }

    public int getReason() {
        return m_changed;
    }
}

